List inbound source configs
curl --request GET \
--url https://sta.sandbox.lerian.net/v1/inbound-source-configs \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sta.sandbox.lerian.net/v1/inbound-source-configs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sta.sandbox.lerian.net/v1/inbound-source-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sta.sandbox.lerian.net/v1/inbound-source-configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"hasMore": true,
"items": [
{
"bacenSystemCode": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialId": "<string>",
"displayName": "<string>",
"id": "<string>",
"intervalSeconds": 123,
"isEnabled": true,
"maxFileSizeBytes": 123,
"retentionDays": 123,
"sourceProduct": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"urgencyEnabled": true,
"bacenSystemFilterCode": "<string>",
"deletedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}List inbound source configs
Cursor-paginated listing for the authenticated tenant. The page size is clamped by the query service (default 20, max 100).
GET
/
v1
/
inbound-source-configs
List inbound source configs
curl --request GET \
--url https://sta.sandbox.lerian.net/v1/inbound-source-configs \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sta.sandbox.lerian.net/v1/inbound-source-configs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sta.sandbox.lerian.net/v1/inbound-source-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sta.sandbox.lerian.net/v1/inbound-source-configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"hasMore": true,
"items": [
{
"bacenSystemCode": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialId": "<string>",
"displayName": "<string>",
"id": "<string>",
"intervalSeconds": 123,
"isEnabled": true,
"maxFileSizeBytes": 123,
"retentionDays": 123,
"sourceProduct": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"urgencyEnabled": true,
"bacenSystemFilterCode": "<string>",
"deletedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
JWT bearer token issued by the identity provider.
Query Parameters
Opaque continuation token from a prior page
Requested page size; clamped by the query service (default 20, max 100)
Example:
20
Was this page helpful?

